WDSCi with JRE 1.5.x - Websphere

This is a discussion on WDSCi with JRE 1.5.x - Websphere ; Hi, I'm developing a java app which needs some swing classes needing jre 1.4+ Since WDSCi 1.5.2 is running at level JRE1.3 I cannot use these classes inside WDSCi I already tried to give the '-vm ...' parameter at startup ...

+ Reply to Thread
Results 1 to 4 of 4

Thread: WDSCi with JRE 1.5.x

  1. WDSCi with JRE 1.5.x

    Hi,

    I'm developing a java app which needs some swing classes needing jre 1.4+

    Since WDSCi 1.5.2 is running at level JRE1.3 I cannot use these classes
    inside WDSCi

    I already tried to give the '-vm ...' parameter at startup but this is of no
    help.
    I also changed the VMArgs=-Xj9 to
    VMArgs=-Xverify:none -Xoptimize -Xms128m -Xmx384m to use above -vm
    parameter.

    Any idea's how to configure WDSCi so that I am able to use JRE 1.5.0_xx ?



  2. Re: WDSCi with JRE 1.5.x

    I doubt you need to change the JRE of WDSc to develop an app under a
    different version. Have you gone to the Java / Installed JREs properties
    and identified the JRE 1.5 to WDSc? After you've done this, you can
    change the compiler and libraries for a project or for the entire tool.
    I've never done this to a 1.5 level, though, but I'd think it would work.

    -Stevers

    Patrick Goovaerts wrote:
    > Hi,
    >
    > I'm developing a java app which needs some swing classes needing jre 1.4+
    >
    > Since WDSCi 1.5.2 is running at level JRE1.3 I cannot use these classes
    > inside WDSCi
    >
    > I already tried to give the '-vm ...' parameter at startup but this is of no
    > help.
    > I also changed the VMArgs=-Xj9 to
    > VMArgs=-Xverify:none -Xoptimize -Xms128m -Xmx384m to use above -vm
    > parameter.
    >
    > Any idea's how to configure WDSCi so that I am able to use JRE 1.5.0_xx ?
    >
    >


  3. Re: WDSCi with JRE 1.5.x

    I tried this before but it didn't work. However, after checking again it
    appeared that I indeed added the JRE1_5 but did not change the 'JRE' at
    project level.

    Now it works, thanks!



    "Steve Johnson-Evers" schreef in bericht
    news:ddi8q4$127s$1@news.boulder.ibm.com...
    > I doubt you need to change the JRE of WDSc to develop an app under a
    > different version. Have you gone to the Java / Installed JREs properties
    > and identified the JRE 1.5 to WDSc? After you've done this, you can
    > change the compiler and libraries for a project or for the entire tool.
    > I've never done this to a 1.5 level, though, but I'd think it would work.
    >
    > -Stevers
    >
    > Patrick Goovaerts wrote:
    > > Hi,
    > >
    > > I'm developing a java app which needs some swing classes needing jre

    1.4+
    > >
    > > Since WDSCi 1.5.2 is running at level JRE1.3 I cannot use these classes
    > > inside WDSCi
    > >
    > > I already tried to give the '-vm ...' parameter at startup but this is

    of no
    > > help.
    > > I also changed the VMArgs=-Xj9 to
    > > VMArgs=-Xverify:none -Xoptimize -Xms128m -Xmx384m to use above -vm
    > > parameter.
    > >
    > > Any idea's how to configure WDSCi so that I am able to use JRE 1.5.0_xx

    ?
    > >
    > >




  4. PCML not working with JRE1_5 ?

    Hi,

    I created a project wich uses PCML (WDSCi 1.5.2)
    This project runs 'as expected' when working with JRE from WDSCi (V.1.3.x)

    However, when I run this project with JRE1_5 it cannot find the PCML-files
    anymore.
    (JRE1_5 is added to the 'Installed Java Runtime Environments)

    Error shown is:

    Exception in thread "main" java.util.MissingResourceException: PCML document
    source 'resources/ARHOLMEC.pcml' cannot be found.
    at
    com.ibm.as400.data.SystemResourceFinder.getPCMLDoc ument(SystemResourceFinder
    ..java:196)
    at com.ibm.as400.data.PcmlSAXParser.(PcmlSAXParser.java:98)
    at
    com.ibm.as400.data.ProgramCallDocument.loadSourceP cmlDocument(ProgramCallDoc
    ument.java:1076)
    at
    com.ibm.as400.data.ProgramCallDocument.loadPcmlDoc ument(ProgramCallDocument.
    java:979)
    at
    com.ibm.as400.data.ProgramCallDocument.(ProgramCallDocument.java:127)
    at myHolidays.HolidayMenu.createView(HolidayMenu.java :193)
    at myHolidays.HolidayMenu.(HolidayMenu.java:121)
    at myHolidays.HolidayMenu.main(HolidayMenu.java:185)



+ Reply to Thread